For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
  • METAMASK Wrapper API
    • Overview
    • GETBuy Order by ID
    • GETSell Order by ID
    • GETBuy Orders
    • GETSell Orders
    • GETBuy Widget
    • GETSell Widget
    • GETBuy Quote
    • GETSell Quote
    • GETBuy Configuration
    • GETSell Configuration
Dashboard
LogoLogo

Buy Order by ID

||View as Markdown|
GET
/metamask/v1/orders/:orderId
GET
/metamask/v1/orders/:orderId
$curl https://api-stg.transak.com/metamask/v1/orders/ \
> -H "x-api-key: " \
> -H "x-access-token: "
1{
2 "id": "3a3748b3-9cac-4949-b82b-e64ad7da5bc1",
3 "customId": null,
4 "link": "https://global.transak.com/user/order/3a3748b3-9cac-4949-b82b-e64ad7da5bc1",
5 "crypto": null,
6 "fiatAmountIn": 155,
7 "fiatAmountInUsd": 155,
8 "cryptoAmountOut": 1.63874231,
9 "fiat": "USD",
10 "payment": "debit-credit-card",
11 "exchangeRate": 0.01111237747891498,
12 "processingFees": [
13 {
14 "label": "Transak fee",
15 "fiatAmount": "7.18"
16 }
17 ],
18 "networkFees": [
19 {
20 "label": "Network/Exchange fee",
21 "fiatAmount": "0.35"
22 }
23 ],
24 "partnerFees": [],
25 "region": "us-nv",
26 "createdAt": "2025-03-10T23:54:54.486Z",
27 "updatedAt": "2025-03-10T23:56:15.729Z",
28 "transactionHash": "165d7c013bab631330c4809029817b2946605884f5e617cf47879be7259704e2",
29 "walletAddress": "MQWPnUphSiVyFPTqfAz4PcKv3XsUhfWkq6",
30 "status": "COMPLETED",
31 "statusCode": "COMPLETED",
32 "partnerAccountId": "Metamask",
33 "orderType": "BUY"
34}
This API provide the details related to the specific On Ramp order. ![On Ramp order](https://assets.transak.com/doc/Q2xlYW5TaG90IDIwMjUtMDMtMTMgYXQgMTIuMjUuMjNAMngucG5n.png)
Was this page helpful?
Previous

MetaMask Wrapper APIs

Next

Sell Order by ID

Built with

This API provide the details related to the specific On Ramp order.

On Ramp order

Path parameters

orderIdstringRequired
Transak Order ID

Headers

x-api-keystringRequired
Transak API key. Present in dashboard.transak.com
x-access-tokenstringRequired

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Response

200 - Success

idstring

Response field id.

customIdstring or null

Response field customId.

linkstring

Response field link.

cryptostring or null

Response field crypto.

fiatAmountIndouble

Response field fiatAmountIn.

fiatAmountInUsddouble

Response field fiatAmountInUsd.

cryptoAmountOutdouble

Response field cryptoAmountOut.

fiatstring

Response field fiat.

paymentstring

Response field payment.

exchangeRatedouble

Response field exchangeRate.

processingFeeslist of objects

Response field processingFees.

networkFeeslist of objects

Response field networkFees.

partnerFeeslist of any

Response field partnerFees.

regionstring

Response field region.

createdAtstring

Response field createdAt.

updatedAtstring

Response field updatedAt.

transactionHashstring

Response field transactionHash.

walletAddressstring

Response field walletAddress.

statusstring

Response field status.

statusCodestring

Response field statusCode.

partnerAccountIdstring

Response field partnerAccountId.

orderTypestring

Response field orderType.

Errors

400
Bad Request Error
401
Unauthorized Error